runlabel: appserver

deployment:
  name: appserver-deployment
  appimagename: appserver-container
  dpgimagename: dpg-container
  replicas: 1
  appimage: thalesciphertrust/ciphertrust-data-protection-gateway:appserver
  dpgimage: thalesciphertrust/ciphertrust-data-protection-gateway:1.1.0

service:
  name: svc
  type: NodePort
  appname: app-port
  appnodePort: 32082
  appPort: 8990
  apptargetPort: 8990

configuration:
  secretname: dpg-secret
  configmapname: dpg-configmap
  kms: 100.100.100.100
  appurl: http://localhost:8081
  tlsenabled: false
  reg_token: IfFs9FuVP79hGSWz5SujQBRBOCZZfDIw0LCJ2nLEqzTpxX1HsmX2fiaYXD1P8fkw
  
  servercrt: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURIakNDQWdZQ0ZFa0M2a3puOXFPenpPVFEyRVN1QW41UnVFNnpNQTBHQ1NxR1NJYjNEUUVCQ3dVQU1GTXgKQ3pBSkJnTlZCQVlUQWtsT01STXdFUVlEVlFRSURBcFRiMjFsTFZOMFlYUmxNU0V3SHdZRFZRUUtEQmhKYm5SbApjbTVsZENCWGFXUm5hWFJ6SUZCMGVTQk1kR1F4RERBS0JnTlZCQU1NQTJSd1p6QWVGdzB5TWpBeE1UTXdPREV4Ck5UaGFGdzAwTWpBeE1EZ3dPREV4TlRoYU1FUXhDekFKQmdOVkJBWVRBa0ZWTVJNd0VRWURWUVFJREFwVGIyMWwKTFZOMFlYUmxNUTh3RFFZRFZRUUtEQVp0ZVMxdmNtY3hEekFOQmdOVkJBTU1Cbk5sY25abGNqQ0NBU0l3RFFZSgpLb1pJaHZjTkFRRUJCUUFEZ2dFUEFEQ0NBUW9DZ2dFQkFMZEROalVNK2gzK21Kb0FpM1g3KzhuTTR5NHQwaTd2CnZXNUcyRXRrczg3Vkd3T3ZVRHV1dkxrUEhrdWw0Y2g0dDF2Q2JuNm1kR0UzblFKY3VyOFgrNnlGMTFhVC9PRXQKcU8rZk5Id0lPOFMwT3RTQnlKSnptZjhxb014Q0ZTUHZ5WDBGT3dncW40VjVhWnpBdU9QeFJWLzdrWGdROWl2WApZUGRLT0Q0QjBaamNoZ1NaajVjN09jMnNIY1N4WXhTMlA4b0I5QlBnQUVDVWUvSHRNYlR1TnZLbFBQTEtzanI5CkNmMWIwMEw3a2pKZVkxNzNPTkZ1QXFZRXhOQTJ2Nkh4dnUwUE1odG9YR0E5MmUyMWF2REU3VkRiSmd0bzVjMkcKU2syR3dDTUVJcnhVZW5yY2Y2Vjc5RDB1MXc5K3lHcWxFbHVtdzZzQXFsanpBb3pULzIyaURJTUNBd0VBQVRBTgpCZ2txaGtpRzl3MEJBUXNGQUFPQ0FRRUFIaFg4Skx4YmZHTFFUM0E0L3BKT0lLSUx5YWRoYmw4Mnh4UUlHREwwCmxWZHNrakxHSVV1SE5vZ25sdmY4aVVmbWF5aHl5TnNKMWpsYzFwOGdNK0VFL1Z6YmxKc0VGbmFIbmZzcVY4YXkKRTdFSUprZGtxU2R1bXFGUlRDMDh2THprRDRGVm1NRkJSTTh3c3JoT1V5UFBPRFRXczdCNTh0blppZ3RKTlhQdgpMQSs1S1FuVkNoVWxOdkprRWxCbkFSYU5Gc1FmR1gvcFFzWUpackdnNzRJN0orTzN3QVNyeUpRcGV2VkpGcUpFClhEVURqQ1RBY3BHV2cvRFBBMi9ZY0JVYjJiUDVhTHI2RWZCWmJVUFlrSDM1bFNJMDhuOVlqWnc5QlF5dHNQVm8KQ3YwOHFpRkdCc2hBU2dGaWJJeEE4RERZb3c1ckFPNHJHRmhyZXI3bklIZlZ1Zz09Ci0tLS0tRU5EIENFUlRJRklDQVRFLS0tLS0K
  serverkey: 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